lp:ubuntu/lucid/vnc4

Created by James Westby on 2009-10-30 and last modified on 2010-04-09
Get this branch:
bzr branch lp:ubuntu/lucid/vnc4
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Development

Recent revisions

16. By Steve Beattie on 2010-04-05

* unix/vncserver: revert "-extension XFIXES" as it is no longer
  needed (LP: #556147)
* Remaining Ubuntu changes:
  - None

15. By Mario Limonciello on 2010-04-03

* Merge package with debian unstable. Unfortunately Ubuntu adapted an
  incompatible version scheme, so this can't be regularly synced.
  - (4.1.1+xorg1.0.2-0ubuntu7 > 4.1.1+X4.3.0-37)
* Remaining Ubuntu changes:
  - unix/vncserver: add "-extension XFIXES" (LP: #78282).

14. By Steve Langasek on 2008-04-16

Add missing X11/X.h include, to fix build with current xorg headers;
thanks to Michael Milligan for the patch. LP: #184225

13. By Matthias Klose on 2007-09-10

Fix build failures with g+-4.3.

12. By Kees Cook on 2007-08-21

unix/vncserver: add "-extension XFIXES" (LP: #78282).

11. By Kees Cook on 2007-01-07

debian/rules: fix default font paths. (Closes LP#3593)

10. By Kees Cook on 2007-01-06

debian/patches/xorg-vnc-debian.patch: Modify to remove deprecated include
of asm/kbio.h, in lnx_{kbd,io}.c, fixes FTBFS on sparc. (from
edgy-security)

9. By William Grant on 2007-01-06

* SECURITY UPDATE: Fix password-bypassing exploit.
* common/rfb/SConnection.cxx: Confirm that the requested authentication
  method is actually valid. Patch taken from 4.1.2.
* debian/control: Fix Build-Depends so that it will actually build.
* debian/rules: Fix bashisms.
* References:
  - CVE-2006-2369

8. By Matthias Klose on 2006-05-29

Reupload 4.1.1-0ubuntu4 as 4.1.1+xorg1.0.2-0ubuntu1; the former
was erroneously overwritten with a sync from unstable (still
based on Xfree86, not xorg).

7. By Ola Lundqvist on 2006-05-15

* Correction of critical security issue. Thanks to Martin Kogler
  <email address hidden> that informed me about the issue,
  and provided the patch.
  This flaw was originally found by Steve Wiseman of intelliadmin.com.
* Applied patch from Javier Kohen <email address hidden> that
  inform the user that only 8 first characters of the password will
  actually be used when typing more than 8 characters, closes:
  #355619.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/maverick/vnc4
This branch contains Public information 
Everyone can see this information.

Subscribers